# Alternative GNU Make project makefile autogenerated by Premake

ifndef config
  config=release_x86
endif

ifndef verbose
  SILENT = @
endif

.PHONY: clean prebuild

SHELLTYPE := posix
ifeq (.exe,$(findstring .exe,$(ComSpec)))
	SHELLTYPE := msdos
endif

# Configurations
# #############################################

RESCOMP = windres
INCLUDES += -I../../contrib/libzip/include
FORCE_INCLUDE +=
ALL_CPPFLAGS += $(CPPFLAGS) -MMD -MP $(DEFINES) $(INCLUDES)
ALL_RESFLAGS += $(RESFLAGS) $(DEFINES) $(INCLUDES)
LIBS +=
LDDEPS +=
LINKCMD = $(AR) -rcs "$@" $(OBJECTS)
define PREBUILDCMDS
endef
define PRELINKCMDS
endef
define POSTBUILDCMDS
endef

ifeq ($(config),release_x86)
TARGETDIR = bin/x86/Release
TARGET = $(TARGETDIR)/zip-lib.lib
OBJDIR = obj/x86/Release/zip-lib
DEFINES += -DPREMAKE_COMPRESSION -DCURL_STATICLIB -DPREMAKE_CURL -DNDEBUG -DN_FSEEKO -D_WINDOWS
ALL_CFLAGS += $(CFLAGS) $(ALL_CPPFLAGS) -m32 -flto -O3 -w
ALL_CXXFLAGS += $(CXXFLAGS) $(ALL_CPPFLAGS) -m32 -flto -O3 -w -fno-stack-protector
ALL_LDFLAGS += $(LDFLAGS) -L/usr/lib32 -m32 -flto -s

else ifeq ($(config),release_x64)
TARGETDIR = bin/x64/Release
TARGET = $(TARGETDIR)/zip-lib.lib
OBJDIR = obj/x64/Release/zip-lib
DEFINES += -DPREMAKE_COMPRESSION -DCURL_STATICLIB -DPREMAKE_CURL -DNDEBUG -DN_FSEEKO -D_WINDOWS
ALL_CFLAGS += $(CFLAGS) $(ALL_CPPFLAGS) -m64 -flto -O3 -w
ALL_CXXFLAGS += $(CXXFLAGS) $(ALL_CPPFLAGS) -m64 -flto -O3 -w -fno-stack-protector
ALL_LDFLAGS += $(LDFLAGS) -L/usr/lib64 -m64 -flto -s

else ifeq ($(config),debug_x86)
TARGETDIR = bin/x86/Debug
TARGET = $(TARGETDIR)/zip-lib.lib
OBJDIR = obj/x86/Debug/zip-lib
DEFINES += -DPREMAKE_COMPRESSION -DCURL_STATICLIB -DPREMAKE_CURL -D_DEBUG -DN_FSEEKO -D_WINDOWS
ALL_CFLAGS += $(CFLAGS) $(ALL_CPPFLAGS) -m32 -g -w
ALL_CXXFLAGS += $(CXXFLAGS) $(ALL_CPPFLAGS) -m32 -g -w
ALL_LDFLAGS += $(LDFLAGS) -L/usr/lib32 -m32

else ifeq ($(config),debug_x64)
TARGETDIR = bin/x64/Debug
TARGET = $(TARGETDIR)/zip-lib.lib
OBJDIR = obj/x64/Debug/zip-lib
DEFINES += -DPREMAKE_COMPRESSION -DCURL_STATICLIB -DPREMAKE_CURL -D_DEBUG -DN_FSEEKO -D_WINDOWS
ALL_CFLAGS += $(CFLAGS) $(ALL_CPPFLAGS) -m64 -g -w
ALL_CXXFLAGS += $(CXXFLAGS) $(ALL_CPPFLAGS) -m64 -g -w
ALL_LDFLAGS += $(LDFLAGS) -L/usr/lib64 -m64

endif

# Per File Configurations
# #############################################


# File sets
# #############################################

GENERATED :=
OBJECTS :=

GENERATED += $(OBJDIR)/mkstemp.o
GENERATED += $(OBJDIR)/zip_add.o
GENERATED += $(OBJDIR)/zip_add_dir.o
GENERATED += $(OBJDIR)/zip_add_entry.o
GENERATED += $(OBJDIR)/zip_close.o
GENERATED += $(OBJDIR)/zip_delete.o
GENERATED += $(OBJDIR)/zip_dir_add.o
GENERATED += $(OBJDIR)/zip_dirent.o
GENERATED += $(OBJDIR)/zip_discard.o
GENERATED += $(OBJDIR)/zip_entry.o
GENERATED += $(OBJDIR)/zip_err_str.o
GENERATED += $(OBJDIR)/zip_error.o
GENERATED += $(OBJDIR)/zip_error_clear.o
GENERATED += $(OBJDIR)/zip_error_get.o
GENERATED += $(OBJDIR)/zip_error_get_sys_type.o
GENERATED += $(OBJDIR)/zip_error_strerror.o
GENERATED += $(OBJDIR)/zip_error_to_str.o
GENERATED += $(OBJDIR)/zip_extra_field.o
GENERATED += $(OBJDIR)/zip_extra_field_api.o
GENERATED += $(OBJDIR)/zip_fclose.o
GENERATED += $(OBJDIR)/zip_fdopen.o
GENERATED += $(OBJDIR)/zip_file_add.o
GENERATED += $(OBJDIR)/zip_file_error_clear.o
GENERATED += $(OBJDIR)/zip_file_error_get.o
GENERATED += $(OBJDIR)/zip_file_get_comment.o
GENERATED += $(OBJDIR)/zip_file_get_external_attributes.o
GENERATED += $(OBJDIR)/zip_file_get_offset.o
GENERATED += $(OBJDIR)/zip_file_rename.o
GENERATED += $(OBJDIR)/zip_file_replace.o
GENERATED += $(OBJDIR)/zip_file_set_comment.o
GENERATED += $(OBJDIR)/zip_file_set_external_attributes.o
GENERATED += $(OBJDIR)/zip_file_strerror.o
GENERATED += $(OBJDIR)/zip_filerange_crc.o
GENERATED += $(OBJDIR)/zip_fopen.o
GENERATED += $(OBJDIR)/zip_fopen_encrypted.o
GENERATED += $(OBJDIR)/zip_fopen_index.o
GENERATED += $(OBJDIR)/zip_fopen_index_encrypted.o
GENERATED += $(OBJDIR)/zip_fread.o
GENERATED += $(OBJDIR)/zip_get_archive_comment.o
GENERATED += $(OBJDIR)/zip_get_archive_flag.o
GENERATED += $(OBJDIR)/zip_get_compression_implementation.o
GENERATED += $(OBJDIR)/zip_get_encryption_implementation.o
GENERATED += $(OBJDIR)/zip_get_file_comment.o
GENERATED += $(OBJDIR)/zip_get_name.o
GENERATED += $(OBJDIR)/zip_get_num_entries.o
GENERATED += $(OBJDIR)/zip_get_num_files.o
GENERATED += $(OBJDIR)/zip_memdup.o
GENERATED += $(OBJDIR)/zip_name_locate.o
GENERATED += $(OBJDIR)/zip_new.o
GENERATED += $(OBJDIR)/zip_open.o
GENERATED += $(OBJDIR)/zip_rename.o
GENERATED += $(OBJDIR)/zip_replace.o
GENERATED += $(OBJDIR)/zip_set_archive_comment.o
GENERATED += $(OBJDIR)/zip_set_archive_flag.o
GENERATED += $(OBJDIR)/zip_set_default_password.o
GENERATED += $(OBJDIR)/zip_set_file_comment.o
GENERATED += $(OBJDIR)/zip_set_file_compression.o
GENERATED += $(OBJDIR)/zip_set_name.o
GENERATED += $(OBJDIR)/zip_source_buffer.o
GENERATED += $(OBJDIR)/zip_source_close.o
GENERATED += $(OBJDIR)/zip_source_crc.o
GENERATED += $(OBJDIR)/zip_source_deflate.o
GENERATED += $(OBJDIR)/zip_source_error.o
GENERATED += $(OBJDIR)/zip_source_file.o
GENERATED += $(OBJDIR)/zip_source_filep.o
GENERATED += $(OBJDIR)/zip_source_free.o
GENERATED += $(OBJDIR)/zip_source_function.o
GENERATED += $(OBJDIR)/zip_source_layered.o
GENERATED += $(OBJDIR)/zip_source_open.o
GENERATED += $(OBJDIR)/zip_source_pkware.o
GENERATED += $(OBJDIR)/zip_source_pop.o
GENERATED += $(OBJDIR)/zip_source_read.o
GENERATED += $(OBJDIR)/zip_source_stat.o
GENERATED += $(OBJDIR)/zip_source_window.o
GENERATED += $(OBJDIR)/zip_source_zip.o
GENERATED += $(OBJDIR)/zip_source_zip_new.o
GENERATED += $(OBJDIR)/zip_stat.o
GENERATED += $(OBJDIR)/zip_stat_index.o
GENERATED += $(OBJDIR)/zip_stat_init.o
GENERATED += $(OBJDIR)/zip_strerror.o
GENERATED += $(OBJDIR)/zip_string.o
GENERATED += $(OBJDIR)/zip_unchange.o
GENERATED += $(OBJDIR)/zip_unchange_all.o
GENERATED += $(OBJDIR)/zip_unchange_archive.o
GENERATED += $(OBJDIR)/zip_unchange_data.o
GENERATED += $(OBJDIR)/zip_utf-8.o
OBJECTS += $(OBJDIR)/mkstemp.o
OBJECTS += $(OBJDIR)/zip_add.o
OBJECTS += $(OBJDIR)/zip_add_dir.o
OBJECTS += $(OBJDIR)/zip_add_entry.o
OBJECTS += $(OBJDIR)/zip_close.o
OBJECTS += $(OBJDIR)/zip_delete.o
OBJECTS += $(OBJDIR)/zip_dir_add.o
OBJECTS += $(OBJDIR)/zip_dirent.o
OBJECTS += $(OBJDIR)/zip_discard.o
OBJECTS += $(OBJDIR)/zip_entry.o
OBJECTS += $(OBJDIR)/zip_err_str.o
OBJECTS += $(OBJDIR)/zip_error.o
OBJECTS += $(OBJDIR)/zip_error_clear.o
OBJECTS += $(OBJDIR)/zip_error_get.o
OBJECTS += $(OBJDIR)/zip_error_get_sys_type.o
OBJECTS += $(OBJDIR)/zip_error_strerror.o
OBJECTS += $(OBJDIR)/zip_error_to_str.o
OBJECTS += $(OBJDIR)/zip_extra_field.o
OBJECTS += $(OBJDIR)/zip_extra_field_api.o
OBJECTS += $(OBJDIR)/zip_fclose.o
OBJECTS += $(OBJDIR)/zip_fdopen.o
OBJECTS += $(OBJDIR)/zip_file_add.o
OBJECTS += $(OBJDIR)/zip_file_error_clear.o
OBJECTS += $(OBJDIR)/zip_file_error_get.o
OBJECTS += $(OBJDIR)/zip_file_get_comment.o
OBJECTS += $(OBJDIR)/zip_file_get_external_attributes.o
OBJECTS += $(OBJDIR)/zip_file_get_offset.o
OBJECTS += $(OBJDIR)/zip_file_rename.o
OBJECTS += $(OBJDIR)/zip_file_replace.o
OBJECTS += $(OBJDIR)/zip_file_set_comment.o
OBJECTS += $(OBJDIR)/zip_file_set_external_attributes.o
OBJECTS += $(OBJDIR)/zip_file_strerror.o
OBJECTS += $(OBJDIR)/zip_filerange_crc.o
OBJECTS += $(OBJDIR)/zip_fopen.o
OBJECTS += $(OBJDIR)/zip_fopen_encrypted.o
OBJECTS += $(OBJDIR)/zip_fopen_index.o
OBJECTS += $(OBJDIR)/zip_fopen_index_encrypted.o
OBJECTS += $(OBJDIR)/zip_fread.o
OBJECTS += $(OBJDIR)/zip_get_archive_comment.o
OBJECTS += $(OBJDIR)/zip_get_archive_flag.o
OBJECTS += $(OBJDIR)/zip_get_compression_implementation.o
OBJECTS += $(OBJDIR)/zip_get_encryption_implementation.o
OBJECTS += $(OBJDIR)/zip_get_file_comment.o
OBJECTS += $(OBJDIR)/zip_get_name.o
OBJECTS += $(OBJDIR)/zip_get_num_entries.o
OBJECTS += $(OBJDIR)/zip_get_num_files.o
OBJECTS += $(OBJDIR)/zip_memdup.o
OBJECTS += $(OBJDIR)/zip_name_locate.o
OBJECTS += $(OBJDIR)/zip_new.o
OBJECTS += $(OBJDIR)/zip_open.o
OBJECTS += $(OBJDIR)/zip_rename.o
OBJECTS += $(OBJDIR)/zip_replace.o
OBJECTS += $(OBJDIR)/zip_set_archive_comment.o
OBJECTS += $(OBJDIR)/zip_set_archive_flag.o
OBJECTS += $(OBJDIR)/zip_set_default_password.o
OBJECTS += $(OBJDIR)/zip_set_file_comment.o
OBJECTS += $(OBJDIR)/zip_set_file_compression.o
OBJECTS += $(OBJDIR)/zip_set_name.o
OBJECTS += $(OBJDIR)/zip_source_buffer.o
OBJECTS += $(OBJDIR)/zip_source_close.o
OBJECTS += $(OBJDIR)/zip_source_crc.o
OBJECTS += $(OBJDIR)/zip_source_deflate.o
OBJECTS += $(OBJDIR)/zip_source_error.o
OBJECTS += $(OBJDIR)/zip_source_file.o
OBJECTS += $(OBJDIR)/zip_source_filep.o
OBJECTS += $(OBJDIR)/zip_source_free.o
OBJECTS += $(OBJDIR)/zip_source_function.o
OBJECTS += $(OBJDIR)/zip_source_layered.o
OBJECTS += $(OBJDIR)/zip_source_open.o
OBJECTS += $(OBJDIR)/zip_source_pkware.o
OBJECTS += $(OBJDIR)/zip_source_pop.o
OBJECTS += $(OBJDIR)/zip_source_read.o
OBJECTS += $(OBJDIR)/zip_source_stat.o
OBJECTS += $(OBJDIR)/zip_source_window.o
OBJECTS += $(OBJDIR)/zip_source_zip.o
OBJECTS += $(OBJDIR)/zip_source_zip_new.o
OBJECTS += $(OBJDIR)/zip_stat.o
OBJECTS += $(OBJDIR)/zip_stat_index.o
OBJECTS += $(OBJDIR)/zip_stat_init.o
OBJECTS += $(OBJDIR)/zip_strerror.o
OBJECTS += $(OBJDIR)/zip_string.o
OBJECTS += $(OBJDIR)/zip_unchange.o
OBJECTS += $(OBJDIR)/zip_unchange_all.o
OBJECTS += $(OBJDIR)/zip_unchange_archive.o
OBJECTS += $(OBJDIR)/zip_unchange_data.o
OBJECTS += $(OBJDIR)/zip_utf-8.o

# Rules
# #############################################

all: $(TARGET)
	@:

$(TARGET): $(GENERATED) $(OBJECTS) $(LDDEPS) | $(TARGETDIR)
	$(PRELINKCMDS)
	@echo Linking zip-lib
	$(SILENT) $(LINKCMD)
	$(POSTBUILDCMDS)

$(TARGETDIR):
	@echo Creating $(TARGETDIR)
ifeq (posix,$(SHELLTYPE))
	$(SILENT) mkdir -p $(TARGETDIR)
else
	$(SILENT) mkdir $(subst /,\\,$(TARGETDIR))
endif

$(OBJDIR):
	@echo Creating $(OBJDIR)
ifeq (posix,$(SHELLTYPE))
	$(SILENT) mkdir -p $(OBJDIR)
else
	$(SILENT) mkdir $(subst /,\\,$(OBJDIR))
endif

clean:
	@echo Cleaning zip-lib
ifeq (posix,$(SHELLTYPE))
	$(SILENT) rm -f  $(TARGET)
	$(SILENT) rm -rf $(GENERATED)
	$(SILENT) rm -rf $(OBJDIR)
else
	$(SILENT) if exist $(subst /,\\,$(TARGET)) del $(subst /,\\,$(TARGET))
	$(SILENT) if exist $(subst /,\\,$(GENERATED)) rmdir /s /q $(subst /,\\,$(GENERATED))
	$(SILENT) if exist $(subst /,\\,$(OBJDIR)) rmdir /s /q $(subst /,\\,$(OBJDIR))
endif

prebuild: | $(OBJDIR)
	$(PREBUILDCMDS)

ifneq (,$(PCH))
$(OBJECTS): $(GCH) | $(PCH_PLACEHOLDER)
$(GCH): $(PCH) | prebuild
	@echo $(notdir $<)
	$(SILENT) $(CC) -x c-header $(ALL_CFLAGS) -o "$@" -MF "$(@:%.gch=%.d)" -c "$<"
$(PCH_PLACEHOLDER): $(GCH) | $(OBJDIR)
ifeq (posix,$(SHELLTYPE))
	$(SILENT) touch "$@"
else
	$(SILENT) echo $null >> "$@"
endif
else
$(OBJECTS): | prebuild
endif


# File Rules
# #############################################

$(OBJDIR)/mkstemp.o: ../../contrib/libzip/mkstemp.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_add.o: ../../contrib/libzip/zip_add.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_add_dir.o: ../../contrib/libzip/zip_add_dir.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_add_entry.o: ../../contrib/libzip/zip_add_entry.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_close.o: ../../contrib/libzip/zip_close.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_delete.o: ../../contrib/libzip/zip_delete.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_dir_add.o: ../../contrib/libzip/zip_dir_add.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_dirent.o: ../../contrib/libzip/zip_dirent.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_discard.o: ../../contrib/libzip/zip_discard.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_entry.o: ../../contrib/libzip/zip_entry.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_err_str.o: ../../contrib/libzip/zip_err_str.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_error.o: ../../contrib/libzip/zip_error.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_error_clear.o: ../../contrib/libzip/zip_error_clear.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_error_get.o: ../../contrib/libzip/zip_error_get.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_error_get_sys_type.o: ../../contrib/libzip/zip_error_get_sys_type.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_error_strerror.o: ../../contrib/libzip/zip_error_strerror.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_error_to_str.o: ../../contrib/libzip/zip_error_to_str.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_extra_field.o: ../../contrib/libzip/zip_extra_field.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_extra_field_api.o: ../../contrib/libzip/zip_extra_field_api.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_fclose.o: ../../contrib/libzip/zip_fclose.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_fdopen.o: ../../contrib/libzip/zip_fdopen.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_file_add.o: ../../contrib/libzip/zip_file_add.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_file_error_clear.o: ../../contrib/libzip/zip_file_error_clear.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_file_error_get.o: ../../contrib/libzip/zip_file_error_get.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_file_get_comment.o: ../../contrib/libzip/zip_file_get_comment.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_file_get_external_attributes.o: ../../contrib/libzip/zip_file_get_external_attributes.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_file_get_offset.o: ../../contrib/libzip/zip_file_get_offset.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_file_rename.o: ../../contrib/libzip/zip_file_rename.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_file_replace.o: ../../contrib/libzip/zip_file_replace.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_file_set_comment.o: ../../contrib/libzip/zip_file_set_comment.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_file_set_external_attributes.o: ../../contrib/libzip/zip_file_set_external_attributes.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_file_strerror.o: ../../contrib/libzip/zip_file_strerror.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_filerange_crc.o: ../../contrib/libzip/zip_filerange_crc.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_fopen.o: ../../contrib/libzip/zip_fopen.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_fopen_encrypted.o: ../../contrib/libzip/zip_fopen_encrypted.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_fopen_index.o: ../../contrib/libzip/zip_fopen_index.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_fopen_index_encrypted.o: ../../contrib/libzip/zip_fopen_index_encrypted.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_fread.o: ../../contrib/libzip/zip_fread.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_get_archive_comment.o: ../../contrib/libzip/zip_get_archive_comment.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_get_archive_flag.o: ../../contrib/libzip/zip_get_archive_flag.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_get_compression_implementation.o: ../../contrib/libzip/zip_get_compression_implementation.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_get_encryption_implementation.o: ../../contrib/libzip/zip_get_encryption_implementation.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_get_file_comment.o: ../../contrib/libzip/zip_get_file_comment.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_get_name.o: ../../contrib/libzip/zip_get_name.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_get_num_entries.o: ../../contrib/libzip/zip_get_num_entries.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_get_num_files.o: ../../contrib/libzip/zip_get_num_files.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_memdup.o: ../../contrib/libzip/zip_memdup.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_name_locate.o: ../../contrib/libzip/zip_name_locate.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_new.o: ../../contrib/libzip/zip_new.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_open.o: ../../contrib/libzip/zip_open.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_rename.o: ../../contrib/libzip/zip_rename.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_replace.o: ../../contrib/libzip/zip_replace.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_set_archive_comment.o: ../../contrib/libzip/zip_set_archive_comment.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_set_archive_flag.o: ../../contrib/libzip/zip_set_archive_flag.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_set_default_password.o: ../../contrib/libzip/zip_set_default_password.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_set_file_comment.o: ../../contrib/libzip/zip_set_file_comment.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_set_file_compression.o: ../../contrib/libzip/zip_set_file_compression.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_set_name.o: ../../contrib/libzip/zip_set_name.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_source_buffer.o: ../../contrib/libzip/zip_source_buffer.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_source_close.o: ../../contrib/libzip/zip_source_close.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_source_crc.o: ../../contrib/libzip/zip_source_crc.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_source_deflate.o: ../../contrib/libzip/zip_source_deflate.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_source_error.o: ../../contrib/libzip/zip_source_error.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_source_file.o: ../../contrib/libzip/zip_source_file.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_source_filep.o: ../../contrib/libzip/zip_source_filep.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_source_free.o: ../../contrib/libzip/zip_source_free.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_source_function.o: ../../contrib/libzip/zip_source_function.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_source_layered.o: ../../contrib/libzip/zip_source_layered.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_source_open.o: ../../contrib/libzip/zip_source_open.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_source_pkware.o: ../../contrib/libzip/zip_source_pkware.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_source_pop.o: ../../contrib/libzip/zip_source_pop.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_source_read.o: ../../contrib/libzip/zip_source_read.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_source_stat.o: ../../contrib/libzip/zip_source_stat.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_source_window.o: ../../contrib/libzip/zip_source_window.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_source_zip.o: ../../contrib/libzip/zip_source_zip.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_source_zip_new.o: ../../contrib/libzip/zip_source_zip_new.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_stat.o: ../../contrib/libzip/zip_stat.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_stat_index.o: ../../contrib/libzip/zip_stat_index.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_stat_init.o: ../../contrib/libzip/zip_stat_init.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_strerror.o: ../../contrib/libzip/zip_strerror.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_string.o: ../../contrib/libzip/zip_string.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_unchange.o: ../../contrib/libzip/zip_unchange.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_unchange_all.o: ../../contrib/libzip/zip_unchange_all.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_unchange_archive.o: ../../contrib/libzip/zip_unchange_archive.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_unchange_data.o: ../../contrib/libzip/zip_unchange_data.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"
$(OBJDIR)/zip_utf-8.o: ../../contrib/libzip/zip_utf-8.c
	@echo $(notdir $<)
	$(SILENT) $(CC) $(ALL_CFLAGS) $(FORCE_INCLUDE) -o "$@" -MF "$(@:%.o=%.d)" -c "$<"

-include $(OBJECTS:%.o=%.d)
ifneq (,$(PCH))
  -include $(PCH_PLACEHOLDER).d
endif