Proposals
=========

This directory contains proposals / "RFCs" for Slang language/compiler/system features.
In general, proposals are used for features that are large or complicated enough that the design and/or plan benefits from being discussed in detail before we commit to making code changes.

## How to make a proposal ##

1. Copy the template doc, `000-template.md` to a new document. Fill in the details of your proposal, and give the document a descriptive name following the same formatting. Leave the number as `000`.
2. Submit a PR with your proposal doc in the `slang/docs/proposals/ directory` to solicit input from the maintainers of Slang.
3. Integrate feedback and iterate until you have affirmative approval from maintainers.
4. Include maintainer approval information and update the proposal status in your proposal header prior to merge.

The maintainer accepting the merge should assign the proposal a number.

Implementation of features large enough to require a proposal doc should not begin until the doc has been accepted and merged.


